Bug 445787 - debugfs: file/directory creation error
debugfs: file/directory creation error
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
low Severity high
: rc
: ---
Assigned To: Josef Bacik
Martin Jenner
Depends On:
  Show dependency treegraph
Reported: 2008-05-09 02:07 EDT by Tao Ma
Modified: 2009-01-20 15:23 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-20 15:23:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
[PATCH]DebugFS : more file/directory creation error handling (2.10 KB, patch)
2008-05-09 02:07 EDT, Tao Ma
no flags Details | Diff
[PATCH] DebugFS : file/directory creation error handling (1.23 KB, patch)
2008-05-09 02:09 EDT, Tao Ma
no flags Details | Diff
proposed fix. (1.60 KB, patch)
2008-05-16 09:44 EDT, Josef Bacik
no flags Details | Diff

  None (edit)
Description Tao Ma 2008-05-09 02:07:16 EDT
Description of problem:
In debugfs, we call debugfs_create_by_name to create a file/dir. But if we call
it twice with the same name, the dentry reference count is added wrongly. This
lead to the problem that debugfs_remove can't remove this file.

This issue was addressed in 2.6.19 in mainline.

The patch has also been attached.

This is a request for adding this patch to RHEL5 U2.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Tao Ma 2008-05-09 02:07:16 EDT
Created attachment 304923 [details]
[PATCH]DebugFS : more file/directory creation error handling
Comment 2 Tao Ma 2008-05-09 02:09:38 EDT
Created attachment 304924 [details]
[PATCH] DebugFS : file/directory creation error handling

Another minor patch which is related to this bug.

Comment 3 Tao Ma 2008-05-16 05:35:06 EDT
Hi, are there any update for this bug?
We want this fix into RHEL5 because OCFS2 may be corrupted by this bug.
When an OCFS2 volume is mounted, a dir with the name of the volume's uuid will
be created in debugfs. If the user mirror the OCFS2 volume and mount the 2
volumes  simultaneously, the 2nd one will not be mounted. This is acceptable.
But the bad thing is that if he/she umount the 1st mounted volume, none of these
2 volumes can be mounted(since the dir in debugfs can't be created any more)
until the machine is restarted. This is definitely unendurable for a production
Comment 4 Josef Bacik 2008-05-16 09:04:24 EDT
This fix is slated for 5.3.
Comment 5 Josef Bacik 2008-05-16 09:44:20 EDT
Created attachment 305682 [details]
proposed fix.

Please test this patch and verify that it resolves your problem.
Comment 6 Tao Ma 2008-05-22 02:38:15 EDT
It resolved my problem. Thanks.
Comment 8 RHEL Product and Program Management 2008-06-06 11:44:42 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 9 Don Zickus 2008-07-23 14:55:43 EDT
in kernel-2.6.18-99.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 10 Tao Ma 2008-07-29 22:19:41 EDT
I have downloaded and tested kernel-2.6.18-100.el5.x86_64.rpm. It works. Thanks.
Comment 14 Chris Ward 2008-11-14 08:23:37 EST
Oracle, a fix for this bug should be available for testing in the RHEL 5.3 Beta release. You can download these bits from RHN.

Please take a moment to verify that the fix is present and functioning as expected and report back your test results as soon as  possible. Thanks! Please ping your Red Hat Partner Manager with any additional questions.
Comment 15 Tao Ma 2008-11-17 00:11:40 EST
Hi, I have downloaded and tested x86_64 version of RHEL5.3 Beta(2.6.18-120.el5). The bug is fixed. Thanks.
Comment 17 errata-xmlrpc 2009-01-20 15:23:22 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.